## com.puppycrawl.tools.checkstyle.checks.usage
Class UnusedParameterCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.usage.AbstractUsageCheck
                      com.puppycrawl.tools.checkstyle.checks.usage.UnusedParameterCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class UnusedParameterCheck
extends AbstractUsageCheck

Checks that a parameter is used.

An example of how to configure the check is:

     <module name="usage.UnusedParameter"/>

Author:
  Rick Giles

Constructor Summary
`UnusedParameterCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`java.lang.String` `getErrorKey()` Returns the key for the Checkstyle error message.
`boolean` `mustCheckReferenceCount(DetailAST aAST)` Determines whether the reference count of an aAST is required.
`void` `setIgnoreCatch(boolean aIgnoreCatch)` Control whether unused catch clause parameters are flagged.
`void` `setIgnoreNonLocal(boolean aIgnoreNonLocal)` Controls whether public/protected/paskage methods shouldn't be checked.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.usage.AbstractUsageCheck
`applyTo, beginTree, finishTree, getASTManager, getIgnoreFormat, getRegexp, logError, setIgnoreFormat, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnusedParameterCheck

    public UnusedParameterCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### getErrorKey

    public java.lang.String getErrorKey()

  Description copied from class: `AbstractUsageCheck`
  Returns the key for the Checkstyle error message.

  Specified by:
    `getErrorKey` in class `AbstractUsageCheck`
  Returns:
    the key for the Checkstyle error message.
  See Also:
    `AbstractUsageCheck`

### mustCheckReferenceCount

    public boolean mustCheckReferenceCount(DetailAST aAST)

  Description copied from class: `AbstractUsageCheck`
  Determines whether the reference count of an aAST is required.

  Specified by:
    `mustCheckReferenceCount` in class `AbstractUsageCheck`
  Parameters:
    `aAST` - the node to check.
  Returns:
    true if the reference count of aAST is required.
  See Also:
    `AbstractUsageCheck`

### setIgnoreCatch

    public void setIgnoreCatch(boolean aIgnoreCatch)

  Control whether unused catch clause parameters are flagged.

  Parameters:
    `aIgnoreCatch` - whether unused catch clause parameters should be flagged.

### setIgnoreNonLocal

    public void setIgnoreNonLocal(boolean aIgnoreNonLocal)

  Controls whether public/protected/paskage methods shouldn't be checked.

  Parameters:
    `aIgnoreNonLocal` - whether we should check any other methods except static and private should be checked.

Back to the Checkstyle Home Page